| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
IEqSolver Class Referenceabstract

Interface file for multidimensional root-finding (solving nonlinear system with n equations in n unknowns) More...

`#include <GaudiGSL/IEqSolver.h>`

Inheritance diagram for IEqSolver:
[legend]
Collaboration diagram for IEqSolver:
[legend]

## Public Types
typedef Genfun::AbsFunction | GenFunc
| Function (. More...
typedef std::vector< const GenFunc * > | Equations
| Vector of the function "GenFunc" which we solver. More...
typedef Genfun::Argument | Arg
| Argument of function "GenFunc" (. More...
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...

## Public Member Functions
| DeclareInterfaceID (IEqSolver, 2, 0)
| InterfaceID. More...
virtual StatusCode | solver (const Equations &equations, Arg &solution) const =0
| Do Multidimensional Root-finding. More...
Public Member Functions inherited from IAlgTool
| DeclareInterfaceID (IAlgTool, 4, 0)
| InterfaceID. More...
| ~IAlgTool () override=default
| Virtual destructor. More...
virtual const std::string & | type () const =0
| The type of an AlgTool, meaning the concrete AlgTool class. More...
virtual const IInterface * | parent () const =0
| The parent of the concrete AlgTool. More...
virtual StatusCode | configure ()=0
| Configuration (from OFFLINE to CONFIGURED). More...
virtual StatusCode | initialize ()=0
| Initialization (from CONFIGURED to INITIALIZED). More...
virtual StatusCode | start ()=0
| Start (from INITIALIZED to RUNNING). More...
virtual StatusCode | stop ()=0
| Stop (from RUNNING to INITIALIZED). More...
virtual StatusCode | finalize ()=0
| Finalize (from INITIALIZED to CONFIGURED). More...
virtual StatusCode | terminate ()=0
| Initialization (from CONFIGURED to OFFLINE). More...
virtual StatusCode | reinitialize ()=0
| Initialization (from INITIALIZED or RUNNING to INITIALIZED, via CONFIGURED). More...
virtual StatusCode | restart ()=0
| Initialization (from RUNNING to RUNNING, via INITIALIZED). More...
virtual Gaudi::StateMachine::State | FSMState () const =0
| Get the current state. More...
virtual StatusCode | sysInitialize ()=0
| Initialization of the Tool. More...
virtual StatusCode | sysStart ()=0
| Initialization of the Tool. More...
virtual StatusCode | sysStop ()=0
| Initialization of the Tool. More...
virtual StatusCode | sysFinalize ()=0
| Finalization of the Tool. More...
virtual StatusCode | sysReinitialize ()=0
| Initialization of the Tool. More...
virtual StatusCode | sysRestart ()=0
| Initialization of the Tool. More...
Public Member Functions inherited from INamedInterface
| DeclareInterfaceID (INamedInterface, 1, 0)
| InterfaceID. More...
virtual const std::string & | name () const =0
| Retrieve the name of the instance. More...
virtual | ~INamedInterface ()=default
| Virtual destructor (always needed for abstract classes). More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Interface file for multidimensional root-finding (solving nonlinear system with n equations in n unknowns)

Author
  Kirill Miklyaev kiril.nosp@m.lm@i.nosp@m.ris1..nosp@m.itep.nosp@m..ru

Date
  2003-07-07

Definition at line 26 of file IEqSolver.h.

## Member Typedef Documentation

typedef Genfun::Argument IEqSolver::Arg

Argument of function "GenFunc" (.

See also
  CLHEP/GenericFunctions/Argument.hh)

Definition at line 36 of file IEqSolver.h.

typedef std::vector<const GenFunc*> IEqSolver::Equations

Vector of the function "GenFunc" which we solver.

Definition at line 34 of file IEqSolver.h.

typedef Genfun::AbsFunction IEqSolver::GenFunc

Function (.

See also
  CLHEP/GenericFunctions/AbsFunction.hh)

Definition at line 32 of file IEqSolver.h.

## Member Function Documentation

IEqSolver::DeclareInterfaceID | ( | IEqSolver | ,
|  | 2 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual StatusCode IEqSolver::solver | ( | const Equations & | equations,
|  | Arg & | solution
| ) |  | const
| pure virtual

Do Multidimensional Root-finding.

Solving nonlinear system with N equations in N unknowns of the function "GenFunc"

Parameters

  equations | - vector of functions

See also
  CLHEP/GenericFunctions/AbsFunction.hh

Parameters

  solution | - argument

See also
  CLHEP/GenericFunctions/Argument.hh

Returns
  StatusCode

The documentation for this class was generated from the following file:

- GaudiGSL/GaudiGSL/IEqSolver.h